| Home | Libraries | People | FAQ | More

## Struct template antistable

boost::movelib::antistable

## Synopsis

    // In header: <boost/move/algo/predicate.hpp>

    template<typename Comp>
    struct antistable {
      // construct/copy/destruct
      explicit antistable(Comp &);
      antistable & operator=(const antistable &);

      // public member functions
      template<typename U, typename V> bool operator()(const U &, const V &);
    };

## Description

### `antistable` public construct/copy/destruct

1.     explicit antistable(Comp & comp);

2.     antistable & operator=(const antistable &);

### `antistable` public member functions

1.     template<typename U, typename V> bool operator()(const U & u, const V & v);